<div class="form-group required">
    <label class="col-sm-2 control-label">&{'kurs.label'}</label>
    <div class="col-sm-4">
        <select required class="form-control" disabled="disabled">
            <option value="">&{'pilih.label'}</option>
        #{list kursList, as:'kl' }
            <option value="${kl.id}" ${produk?.harga_kurs_id == null ? (kl.nama_kurs == "IDR" ? "selected" : "") : (produk?.harga_kurs_id == kl.id ? "selected" : "")}>${kl.nama_kurs}</option>
        #{/list}
        </select>
        <input type="hidden" name="produk.harga_kurs_id" value="${produk?.harga_kurs_id == null ? kur.id : produk?.harga_kurs_id}" />
    </div>
</div>

<div class="form-group">
    <label class="col-sm-2 control-label">&{'tanggal_harga.label'}</label>
    <div class="col-sm-4">
        <input maxlength="100" type="text" name="model.tanggal_harga"
               value="${produk?.getPriceDateString()}"
               class="form-control datepicker" data-date-end-date="0d" />
    </div>
</div>

#{if komoditas.isNational()}
    #{list atributHargaList, as:'harga'}
    <div class="form-group required">
        <label class="col-sm-2 control-label">${harga.label_harga}</label>
        <div class="col-sm-4">
            <input type="text" value="${produk.id == null ? 0 : produk.getHargaByAttr(harga.id, listProdukHarga)}" required name="model.price[${harga_index - 1}].value" class="form-control product-price"/>
            <input type="hidden" value="${harga.id}" name="model.price[${harga_index - 1}].atribut_id"/>
            <input type="hidden" value="${harga.apakah_harga_utama ? 1 : 0}" name="model.price[${harga_index - 1}].isMain"/>
        </div>
    </div>
    #{/list}
#{/if}

#{else }
<div class="form-group">
    <label class="col-sm-2 control-label">&{"unggah_file_harga.label"}</label>
    <div class="col-sm-8">
        <button class="btn btn-md btn-info" type="button" id="download"><i class="fa fa-download"></i> &{"template_unduh.label"}</button>
        <button class="btn btn-md btn-primary" type="button" onclick="$('#harga_upload').click();"><i class="fa fa-upload"></i> &{"unggah_file.label"}</button>

        <button id="file-harga" type="button" class="btn btn-primary" style="vertical-align: middle;margin-inside: 1em">&{'lihat.label'}</button>
        <input type="file" id="harga_upload" style="display:none">
        <input id="harga-json" name="model.hargaJson" type="hidden" />
    </div>
</div>
#{/else}

#{if komoditas.perlu_ongkir && !komoditas.isRegency()}

<div class="form-group">
    <label class="col-sm-2 control-label">&{"unggah_file_ongkir.label"}</label>
    <div class="col-sm-8">
        <a href="#" class="btn btn-info" id="downloadTemplateOngkir"><i class="fa fa-download"></i> &{"template_unduh.label"}</a>
        <button class="btn btn-md btn-primary" type="button" onclick="$('#ongkir_upload').click();"><i class="fa fa-download"></i> &{"unggah_file.label"}</button>

        <button id="file-ongkir" type="button" style="vertical-align: middle;margin-inside: 1em" class="btn btn-primary">&{'lihat.label'}</button>
        <input type="file" id="ongkir_upload" style="display:none">
        <input id="ongkir-json" name="model.ongkirJson" type="hidden" />
    </div>
</div>

#{/if}
#{if produk?.id != null}
<br/>
<br/>
<h4>&{'daftar_riwayat_harga.label'}</h4>
<hr/>
<select id="locationSelect">
    #{list checkedLocations, as:'checkedLocation'}
        <option value="${checkedLocation.key}">${checkedLocation.value}</option>
    #{/list}
</select>
<table class="table table-striped" id="table-riwayat-harga">
    <thead>
    <tr>
        <th class="header-center">&{'tanggal.label'}</th>
        <th class="header-center">&{'kurs.label'}</th>
        #{list atributHargaList, as:'harga'}
            <th class="header-center">${harga.label_harga}</th>
        #{/list}
    </tr>
    </thead>
    #{if komoditas?.isNational()}
        <tbody id="tBody-riwayat-harga">
            #{list riwayatProdukHarga, as:'item'}
            <tr>
                <td class="column-center">${item.key}</td>
                <td class="column-center">${item.value.get(0).nama_kurs}</td>
                #{list atributHargaList, as:'attr'}
                    <td class="column-center">${produk.getHargaByAttr(attr.id, item.value)}</td>
                #{/list}
            </tr>
            #{/list}
        </tbody>
    #{/if}
    #{else}
        #{list riwayatProdukHargaPerLokasi, as:'item'}
            <tbody class="tBody-riwayat-harga" id="tBody-riwayat-harga-${item.key}">
                #{list item.value, as:'row'}
                <tr>
                    <td class="column-center">${row.tanggal}</td>
                    <td class="column-center">${row.kurs}</td>
                    #{list atributHargaList, as:'attr'}
                        <td class="column-center">${produk.getHargaByAttrAndLocation(attr.id, row.tanggal, item.value)}</td>
                    #{/list}
                </tr>
                #{/list}
            </tbody>
        #{/list}
    #{/else}
</table>
<br/>
<br/>
#{/if}
